org.rrd4j.data

## Class Variable.LAST

- java.lang.Object
- - org.rrd4j.data.Variable
  - - org.rrd4j.data.Variable.LAST

- Enclosing class:
    Variable

      public static class Variable.LAST
      extends Variable

  Find the first last valid point and it's timestamp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.rrd4j.data.Variable

      `Variable.AVERAGE, Variable.ComparPercentElemen, Variable.FIRST, Variable.LAST, Variable.LSLCORREL, Variable.LSLINT, Variable.LSLSLOPE, Variable.MAX, Variable.MIN, Variable.PercentElem, Variable.PERCENTILE, Variable.PERCENTILENAN, Variable.STDDEV, Variable.TOTAL, Variable.Value`

  - ### Field Summary

    - ### Fields inherited from class org.rrd4j.data.Variable

      `INVALIDVALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LAST()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Variable.Value` | `fill(long[] timestamps, double[] values, long start, long end)` This method is call with the needed values, extracted from the datasource to do the calculation.

    - ### Methods inherited from class org.rrd4j.data.Variable

      `calculate, getValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LAST

          public LAST()

  - ### Method Detail

    - #### fill

          protected Variable.Value fill(long[] timestamps,
                                        double[] values,
                                        long start,
                                        long end)

      Description copied from class: `Variable`
      This method is call with the needed values, extracted from the datasource to do the calculation.

      Value is to be filled with both the double value and a possible timestamp, when it's used to find a specific point

      Specified by:
        `fill` in class `Variable`
      Parameters:
        `timestamps` - the timestamps for the value
        `values` - the actual values
        `start` - the start of the period
        `end` - the end of the period
      Returns:
        a filled Value object